import type { _AVB17221AECPMessage } from "./AVB17221AECPMessage.js";
import type { _NSData } from "../Foundation/NSData.js";
export declare class _AVB17221AECPVendorMessage extends _AVB17221AECPMessage {
    static alloc(): _AVB17221AECPVendorMessage;
    static new(): _AVB17221AECPVendorMessage;
    init(): _AVB17221AECPVendorMessage;
    /** The protocol_id field of the AECP Vendor Unique message. */
    protocolID(): number;
    setProtocolID$(value: number): void;
    /** The protocol_specific_data field of the AECP Vendor Unique message. */
    protocolSpecificData(): _NSData | null;
    setProtocolSpecificData$(value: _NSData | null): void;
}
